GET restapi/personal/assignments/{elementId}/participants/v1?personIds={personIds}&groupIds={groupIds}&searchText={searchText}&PageIndex={PageIndex}&PageSize={PageSize}&sortBy={sortBy}&sortOrder={sortOrder}

Gets the participants report for a given assignment. Only users with evaluate permission can access this report. Report will not be returned if the assignment is anonymous. The participant's extra info is only included if the current user has access to protected data (like "Username"). The participants who no longer have (participate) permission to the assignment are not included in the report, even if they have submitted an answer. Participants who have not submitted an answer are also included in the report. Participants are paged using the provided paging parameters, sorting will be with the newest submissions first and then sorted by last names.

Filters use AND logic: if both and are provided, only participants whose person ID appears in AND who belong to at least one of the groups in will be returned (i.e. the intersection of both filters).

Request Information

URI Parameters

NameDescriptionTypeAdditional information
elementId

The elementId for the assignment, unique in scope of a customer.

integer

Required

personIds

Comma separated string, to filter by personIds. Get your own report by passing your personId, you will need participate permission

string

None.

groupIds

Comma separated string, to filter by groupIds. Only participants belonging to one of the given groups will be returned

string

None.

searchText

To filter by participant name, pass null to not use this filter. Search text is matched against first name and last name.

string

None.

PageIndex

integer

None.

PageSize

integer

None.

sortBy

How the returned list of participants should be sorted. Possible values are ("Name", "SubmittedDate", "Assessment", "Score", "ExtraInfo", "TaskStatus"). When you select anything else than "Name", the list will be sorted by Name as secondary sorting. Name sorting is according to customer NameFormat.

string

None.

sortOrder

Sort order for the returned list of participants

Itslearning.Common.Core.SortOrder

None.

Body Parameters

None.

Response Information

Resource Description

List of participants ( ) when request was successful (200 - ok)

403 - Forbidden when user does not have access to the participants report

Itsolutions.Itslearning.Web.RestApi.Personal.Element.Responses.ParticipantsReportResponse
NameDescriptionTypeAdditional information
Participants

The list of participants who currently have access to the element (e.g. an assignment). Participants who have submitted work but no longer have access to the element are not included.

Collection of Itsolutions.Itslearning.Web.RestApi.Personal.Element.Models.ParticipantReport

None.

TotalCount

Total count of participants who have access to the element, for paging purposes. This can be higher than the number of items in the "Participants" list, if paging is used.

integer

None.

ExtraInfoDisplayName

The localized display name for what the "ExtraInfo" holds, if any. Can be e.g. "Username". Can be null if no extra info is provided or if the user does not have access to such data.

string

None.

Response Formats

application/json, text/json

Sample:
{
  "Participants": [
    {
      "PersonId": 1,
      "FirstName": "sample string 2",
      "LastName": "sample string 3",
      "FullName": "sample string 4",
      "ExtraInfo": "sample string 5",
      "ProfilePictureUrl": "sample string 6",
      "Submitted": "2026-06-01T10:51:13Z",
      "AssessmentStatusItemId": 1,
      "AssessmentItemId": 1,
      "RawFeedback": "sample string 7",
      "Feedback": "sample string 8",
      "Score": 1.1,
      "TaskStatus": "Unknown"
    },
    {
      "PersonId": 1,
      "FirstName": "sample string 2",
      "LastName": "sample string 3",
      "FullName": "sample string 4",
      "ExtraInfo": "sample string 5",
      "ProfilePictureUrl": "sample string 6",
      "Submitted": "2026-06-01T10:51:13Z",
      "AssessmentStatusItemId": 1,
      "AssessmentItemId": 1,
      "RawFeedback": "sample string 7",
      "Feedback": "sample string 8",
      "Score": 1.1,
      "TaskStatus": "Unknown"
    }
  ],
  "TotalCount": 1,
  "ExtraInfoDisplayName": "sample string 2"
}

application/xml, text/xml

Sample:
<ParticipantsReportResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.RestApi.Personal.Element.Responses">
  <ExtraInfoDisplayName>sample string 2</ExtraInfoDisplayName>
  <Participants xmlns:d2p1="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.RestApi.Personal.Element.Models">
    <d2p1:ParticipantReport>
      <d2p1:AssessmentItemId>1</d2p1:AssessmentItemId>
      <d2p1:AssessmentStatusItemId>1</d2p1:AssessmentStatusItemId>
      <d2p1:ExtraInfo>sample string 5</d2p1:ExtraInfo>
      <d2p1:Feedback>sample string 8</d2p1:Feedback>
      <d2p1:FirstName>sample string 2</d2p1:FirstName>
      <d2p1:FullName>sample string 4</d2p1:FullName>
      <d2p1:LastName>sample string 3</d2p1:LastName>
      <d2p1:PersonId>1</d2p1:PersonId>
      <d2p1:ProfilePictureUrl>sample string 6</d2p1:ProfilePictureUrl>
      <d2p1:RawFeedback>sample string 7</d2p1:RawFeedback>
      <d2p1:Score>1.1</d2p1:Score>
      <d2p1:Submitted>2026-06-01T10:51:13Z</d2p1:Submitted>
      <d2p1:TaskStatus>Unknown</d2p1:TaskStatus>
    </d2p1:ParticipantReport>
    <d2p1:ParticipantReport>
      <d2p1:AssessmentItemId>1</d2p1:AssessmentItemId>
      <d2p1:AssessmentStatusItemId>1</d2p1:AssessmentStatusItemId>
      <d2p1:ExtraInfo>sample string 5</d2p1:ExtraInfo>
      <d2p1:Feedback>sample string 8</d2p1:Feedback>
      <d2p1:FirstName>sample string 2</d2p1:FirstName>
      <d2p1:FullName>sample string 4</d2p1:FullName>
      <d2p1:LastName>sample string 3</d2p1:LastName>
      <d2p1:PersonId>1</d2p1:PersonId>
      <d2p1:ProfilePictureUrl>sample string 6</d2p1:ProfilePictureUrl>
      <d2p1:RawFeedback>sample string 7</d2p1:RawFeedback>
      <d2p1:Score>1.1</d2p1:Score>
      <d2p1:Submitted>2026-06-01T10:51:13Z</d2p1:Submitted>
      <d2p1:TaskStatus>Unknown</d2p1:TaskStatus>
    </d2p1:ParticipantReport>
  </Participants>
  <TotalCount>1</TotalCount>
</ParticipantsReportResponse>